CANVAS_DRAW_LINES_P(3)

FUNCTION
canvas_draw_lines_p - Draw multiple connected lines onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_draw_lines_p

(KWorldCanvas canvas, CONST double *x_array, CONST double *y_array, int num_points, unsigned long pixel_value)

DESCRIPTION
Draw multiple connected lines onto a world canvas.

canvas
    The world canvas object.

x_array
    The horizontal world co-ordinates of the points. If this is NULL, the routine assumes horizontal co-ordinates equally spaced across the world canvas.

y_array
    The vertical world co-ordinates of the points. If this is NULL, the routine assumes vertical co-ordinates equally spaced across the world canvas.

num_points
    The number of points. The number of lines drawn is 1 less than this value.

pixel_value
    The pixel value to use.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/